Subject: Re: ForCES Framework Last Call for Comments (was: ForCESframework:summary of comments from Russ Housley and authors' respond)

From: "Yang, Lily L" <[email-masked]>
Date: Wed, 14 Jan 2004 10:01:25 -0800

-----Original Message-----
From: Jamal Hadi Salim [mailto:[email-masked]]
Sent: Wednesday, January 14, 2004 3:09 AM
To: Yang, Lily L
Cc: [email-masked]
Subject: Re: ForCES Framework Last Call for Comments (was:
ForCESframework:summary of comments from Russ Housley and authors'
respond)

On Mon, 2004-01-12 at 23:14, Yang, Lily L wrote:
 
> > > - section 8.2.3
> > > I think i am missing something, but why would replay protection be
> > > impossible if you have CEM-FEM communication and say FEM-FE
> > > communication being trusted?
> > > 
> > > [lily] same comment as above.
> > > 
> > 
> > I wasnt sure why replay protection would be an issue in this 
> > case. I am
> > not knowledgeable in this area so i may be missing something.
> 
> What we asserted there is that manual key management is susceptible 
> to replay attack, and hence automatic key mgmt is important. The 
> ultimate trust we want is CE-FE. Yes, you have to trust your initial
> boostraping manager (and hence CE-CEM or FE-FEM trust relationship)
> but I am not sure about CEM-FEM that you keep mentioning. As far as
> I can tell, there might not be any communication between CEM and FEM
> at all. So I am still not sure what you are trying to say here.

Maybe an example would be useful:
Assume you have a secure channel between the CEM and FEM. Doesnt matter
whether the CE owns a key server; but that the CE is able to do key
updates to the FE via the XEM channel. Could you not simulate automatic
key management?

[Lily] Oh, now I get what you meant. I don't think we have any disagreement there. Your example is similar to what you describe in 8.2.3 using Kerboros. 

Dont wanna slow you down in submitting that draft - so my comments end
here.

[Lily] No, you are not slowing us down. It is important to get it right. But I do feel like we are ready to submit this as final version now. 

cheers,
jamal